﻿using System;
using Microsoft.Phone.Controls;
using Microsoft.Devices.Sensors;
using System.Windows.Media;
namespace P16_1
{
    public partial class AccPage : PhoneApplicationPage
    {
        //Для акселерометра
        private Accelerometer accelerometer;
        //Для трансформации
        private TranslateTransform moveTranslation;
     

        public AccPage()
        {
            InitializeComponent();
            //Новый экземпляр объекта Accelerometer
            accelerometer = new Accelerometer();
            //Время между обновлениями показаний акселерометра
            accelerometer.TimeBetweenUpdates = TimeSpan.FromMilliseconds(20);
            //Подключаем обработчик события, возникающего при получении новых данных
            accelerometer.CurrentValueChanged += new System.EventHandler<SensorReadingEventArgs<AccelerometerReading>>(accelerometer_CurrentValueChanged);
            //Запуск акселерометра
            accelerometer.Start();
            //Новая трансформация
            moveTranslation = new TranslateTransform();
            
            //Назначаем трансформацию текстовым блокам
            txtX.RenderTransform = this.moveTranslation;
            txtY.RenderTransform = this.moveTranslation;
            txtZ.RenderTransform = this.moveTranslation;

        }

        //Обработчик
        void accelerometer_CurrentValueChanged(object sender, SensorReadingEventArgs<AccelerometerReading> e)
        {
            //Вызов метода, который работает с объектами в потоке пользовательского интерфейса
            Dispatcher.BeginInvoke(() => MoveObject(e.SensorReading));

        }
        //Метод для перемещения объекта
        void MoveObject(AccelerometerReading accData)
        {
            //Задаем текст для вывода в текстовые блоки
            txtX.Text = "X=" + accData.Acceleration.X.ToString();
            txtY.Text = "Y=" + accData.Acceleration.Y.ToString();
            txtZ.Text = "Z=" + accData.Acceleration.Z.ToString();
            //Перемещаем блоки на плоскости
            moveTranslation.X += accData.Acceleration.X * 2;
            moveTranslation.Y -= accData.Acceleration.Y * 2;
            //Задаём границы области, которые не могут пересечь перемещаемые объекты
            if (moveTranslation.X <= 0)
            {
                moveTranslation.X = 0;
            }

            if (moveTranslation.Y <= 0)
            {
                moveTranslation.Y = 0;
            }
            if (moveTranslation.X >= 300)
            {
                moveTranslation.X = 300;
            }

            if (moveTranslation.Y >= 550)
            {
                moveTranslation.Y = 550;
            }

        }
    }
}